# Gets the current list of item availability entities for the Gift Shop

#### Licenses Required
- Vista.Ocapi

Endpoint: GET /ocapi/v1/gift-shop/item-availability
Version: V1

## Description:

  - `Licenses Required` ()
    Vista.Ocapi

## Header parameters:

  - `Connect-Region-Code` (string)
    Region Code

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `itemAvailabilities` (array, required)
    Gets the list of item availability entities

  - `itemAvailabilities.itemId` (string, required)
    Gets the unique identifier of the item base

  - `itemAvailabilities.status` (string, required)
    Gets the availability status of the item base
    Enum: "Available", "SoldOutForCurrentBusinessDate", "SoldOutIndefinitely"

  - `siteId` (string, required)
    Gets the unique identifier of the site

  - `isDefault` (boolean, required)
    Gets a value indicating whether this is the default item availability list details for the site

  - `siteOrderLocationId` (string)
    Gets the unique identifier of the site order location, if applicable

  - `relatedData` (object, required)
    Gets the related data for the item availability entities

  - `relatedData.site` (any, required)
    Represents a physical location that belongs to a cinema chain, consisting of one or more screen entities

  - `relatedData.site.location` (object)
    Gets the geographic location

  - `relatedData.site.location.latitude` (number, required)
    Gets the latitude (expressed in degrees and minutes)

  - `relatedData.site.location.longitude` (number, required)
    Gets the longitude (expressed in degrees and minutes)

  - `relatedData.site.contactDetails` (object, required)
    Gets the contact details

  - `relatedData.site.contactDetails.phoneNumbers` (array, required)
    Gets the list of phone number entities

  - `relatedData.site.contactDetails.phoneNumbers.type` (string, required)
    Gets the type
    Enum: "Home", "Mobile", "Work", "Business", "Fax"

  - `relatedData.site.contactDetails.phoneNumbers.number` (string, required)
    Gets the phone number

  - `relatedData.site.contactDetails.email` (string)
    Gets the email address

  - `relatedData.site.contactDetails.address` (object)
    Gets the physical address

  - `relatedData.site.contactDetails.address.line1` (string)
    Gets the first line
    Example: 60 Khyber Pass Road

  - `relatedData.site.contactDetails.address.line2` (string)
    Gets the second line
    Example: Grafton

  - `relatedData.site.contactDetails.address.city` (string)
    Gets the city
    Example: Auckland 1023

  - `relatedData.site.contactDetails.addressV2` (object, required)
    Gets the physical address

  - `relatedData.site.contactDetails.addressV2.line1` (object)
    Gets the first line text, and its translations, if applicable

  - `relatedData.site.contactDetails.addressV2.line1.text` (string, required)
    Gets the text in the default language

  - `relatedData.site.contactDetails.addressV2.line1.translations` (array, required)
    Gets the translations of the translatable Text in other languages

  - `relatedData.site.contactDetails.addressV2.line1.translations.languageTag` (string, required)
    Gets the IETF (RFC 4646) language tag that the translation Text has been translated for
    Example: en-US

  - `relatedData.site.contactDetails.addressV2.line1.translations.text` (string, required)
    Gets the translated text

  - `relatedData.site.contactDetails.addressV2.line2` (object)
    Gets the second line text, and its translations, if applicable

  - `relatedData.site.contactDetails.addressV2.line3` (object)
    Gets the third line text, and its translations, if applicable

  - `relatedData.site.contactDetails.addressV2.line4` (object)
    Gets the forth line text, and its translations, if applicable

  - `relatedData.site.ianaTimeZoneName` (string, required)
    Gets the IANA time zone name
    Example: America/New_York

  - `relatedData.site.id` (string, required)
    Gets the unique identifier

  - `relatedData.site.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.site.hasSellableItems` (boolean, required)
    Gets a value indicating whether the site has any sellable item entities

  - `relatedData.site.allowedItemDeliveryMethods` (array, required)
    Gets the list of allowed item delivery method entities

## Response 404:

  - `404` (unknown)
    Gift shop does not exist.

